From grant_lkml@dodo.com.au Fri May  6 00:43:54 2005
From: Grant Coady <grant_lkml@dodo.com.au>
To: greg@kroah.com
Subject: I2C: remove <linux/delay.h> from via686a
Date: Fri, 06 May 2005 17:40:51 +1000
Message-ID: <947m71hvl7rt3efdmmi6ekbc3r9pakplmu@4ax.com>

In my cross-reference checking of sysfs names, the via686a needs 
special case treatment as it the only driver expands S_IWUSR to 
00200 with gcc -E.  (00200 is the correct value for S_IWUSR).

This is caused by the driver including <linux/delay.h>, it compiles 
fine without that header but I am unable to test drive the change. 

Signed-off-by: Grant Coady <gcoady@gmail.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/i2c/chips/via686a.c |    1 -
 1 files changed, 1 deletion(-)

--- gregkh-2.6.orig/drivers/i2c/chips/via686a.c	2005-05-09 16:41:52.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/via686a.c	2005-05-09 16:42:03.000000000 -0700
@@ -33,7 +33,6 @@
 #include <linux/module.h>
 #include <linux/slab.h>
 #include <linux/pci.h>
-#include <linux/delay.h>
 #include <linux/jiffies.h>
 #include <linux/i2c.h>
 #include <linux/i2c-sensor.h>
